module Faq
  class Engine < ::Rails::Engine
  	initializer "faq" do 
      OrbitApp.registration "Faq", :type => "ModuleApp" do
        module_label "faq.faq"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ['widget']
        widget_settings [{"data_count"=>30}]
        models_to_cache [:qa]
        taggable "Qa"
        categorizable
        authorizable
        frontend_enabled
        data_count 1..30
        side_bar do
          head_label_i18n 'faq.faq', icon_class: "icons-help"
          available_for "users"
          active_for_controllers (['admin/faqs'])
          head_link_path "admin_faqs_path"

          context_link 'all',
                :link_path=>"admin_faqs_path" ,
                :priority=>1,
                :active_for_action=>{'admin/faqs'=>"index"},
                :available_for => 'users'

          context_link 'new_',
                :link_path=>"new_admin_faq_path" ,
                :priority=>2,
                :active_for_action=>{'admin/faqs'=>"new"},
                :available_for => 'sub_managers'

          context_link 'categories',
                :link_path=>"admin_module_app_categories_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'faq').id}",
                :priority=>3,
                :active_for_action=>{'admin/faqs'=>'categories'},
                :active_for_category => 'Faq',
                :available_for => 'managers'

          context_link 'faq.order', 
                :link_path=>"admin_faqs_order_path" ,
                :priority=>4,
                :active_for_action=>{'admin/faqs'=>'order'},
                :available_for => 'managers'

          context_link 'tags',
                :link_path=>"admin_module_app_tags_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'faq').id}",
                :priority=>5,
                :active_for_action=>{'admin/faqs'=>'tags'},
                :active_for_tag => 'Faq',
                :available_for => 'managers'
      	end
      end
  	end
  end
end
